Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.spi
Interface MetaDataVisitorNode

All Known Subinterfaces:
  AnnotationAttributeMetaData, AnnotationMetaData, BeanMetaData, ClassLoaderMetaData, ConstructorMetaData, DemandMetaData, DependencyMetaData, FeatureMetaData, LifecycleMetaData, ParameterMetaData, PropertyMetaData, SupplyMetaData, ValueMetaData

All Known Implementing Classes:
  AbstractAnnotationAttributeMetaData, AbstractAnnotationMetaData, AbstractBeanMetaData, AbstractClassLoaderMetaData, AbstractConstructorMetaData, AbstractDemandMetaData, AbstractDependencyMetaData, AbstractFeatureMetaData, AbstractLifecycleMetaData, AbstractParameterMetaData, AbstractPropertyMetaData, AbstractSupplyMetaData, AbstractValueMetaData

public interface MetaDataVisitorNode

A metadata vistor node.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Method Summary
`Iterator` | `getChildren()` Return the child nodes
`void` | `visit(MetaDataVisitor vistor)` Visit the node

Method Detail

### visit

    public void visit(MetaDataVisitor vistor)

  Visit the node

  Parameters:
    `vistor` - the visitor

### getChildren

    public Iterator getChildren()

  Return the child nodes

  Returns:
    Iterator or null if there aren't any

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.